<?php

require_once __DIR__."/../vendor/autoload.php";

use NoccyLabs\Chrononaut\Date;
use NoccyLabs\Chrononaut\DateRange;


$range = DateRange::createFromDays(new Date("today"), 30);

echo $range->getStartDate()."\n".$range->getEndDate()."\n";

foreach ($range as $index=>$date) {
    printf("%d: %s\n", $index, $date);
}

echo json_encode($range->getFormattedDates("D d M y"))."\n\n";
